Bug 446993 - Review Request: liblicense - License for storing and retrieving license information in media files
Review Request: liblicense - License for storing and retrieving license infor...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 17:08 EDT by Asheesh Laroia
Modified: 2008-09-15 14:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 14:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Asheesh Laroia 2008-05-16 17:08:28 EDT
Spec URL: http://labs.creativecommons.org/~paulproteus/liblicense/liblicense.spec
SRPM URL: http://labs.creativecommons.org/~paulproteus/liblicense/liblicense-0.7.0-1.src.rpm
Description: 
 Liblicense implements the Creative Commons metadata standards for saving
 and retrieving information about media files, including the license they
 are under, where to get more information, and how to obtain further
 permissions.  The library is targeted at sotware developers; end-users
 probably will not intentionally install this.
Comment 1 Dennis Gilmore 2008-05-19 15:26:24 EDT
Builds fine in mock

rpmlint output
liblicense.i386: W: devel-file-in-non-devel-package /usr/lib/liblicense.so
liblicense.i386: E: description-line-too-long The liblicense package contains
the library, bindings, CLI utilities and license files.
liblicense.i386: W: invalid-license LGPL v2.1
liblicense.src:40: W: unversioned-explicit-provides python-liblicense
liblicense.src: E: description-line-too-long The liblicense package contains the
library, bindings, CLI utilities and license files.
liblicense.src: W: invalid-license LGPL v2.1
liblicense-cli.i386: W: no-documentation
liblicense-cli.i386: E: standard-dir-owned-by-package /usr/bin
liblicense-cli.i386: E: summary-too-long Simple command-line utility for
examining the license in a file or setting a user preference for a default
license
liblicense-cli.i386: E: description-line-too-long Simple command-line utility
for examining the license in a file or setting a user preference for a default
license
liblicense-cli.i386: W: invalid-license LGPL v2.1
liblicense-debuginfo.i386: W: invalid-license LGPL v2.1
liblicense-devel.i386: W: no-documentation
liblicense-devel.i386: W: invalid-license LGPL v2.1
liblicense-modules.i386: W: no-documentation
liblicense-modules.i386: W: summary-ended-with-dot Input/output modules for
accessing license metadata in various file foramts.
liblicense-modules.i386: W: invalid-license LGPL v2.1
liblicense-python.i386: W: no-documentation
liblicense-python.i386: W: invalid-license LGPL v2.1


license should be LGPLv2  per
http://fedoraproject.org/wiki/Licensing#head-489bc5bbf14ecdb808316674e9fc465243c
liblicense.so  should be in the devel package 
you should use %{_bindir}/*  not %{_bindir}

the description lines needs to be shorter  missing documentation is ok for the
sub packages
Comment 2 Asheesh Laroia 2008-05-19 17:31:39 EDT
Thanks for the review.  Can you redownload the SRPM and Spec?  I've updated them
to match the issues you raised (and now I know how to use rpmlint myself!).
Comment 3 Asheesh Laroia 2008-05-28 05:44:31 EDT
This is a re-ping - I have fixed the rpmlint issues you raised.  Do there remain
any other problems?

What is the next step?
Comment 4 Asheesh Laroia 2008-05-29 20:46:01 EDT
I uploaded a 0.7.0-2 .spec and SRPM, and when I build it here is the rpmlint output:

paulproteus@f8:~/gitted/liblicense $ rpmlint
/usr/src/redhat/SRPMS/liblicense-0.7.0-2.src.rpm
paulproteus@f8:~/gitted/liblicense $ rpmlint
/usr/src/redhat/RPMS/i386/liblicense-*0.7.0-2*
liblicense-cli.i386: W: no-documentation
liblicense-devel.i386: W: no-documentation
liblicense-modules.i386: W: no-documentation
liblicense-python.i386: W: no-documentation

As you wrote, it is okay to have no documentation on the subpackages.  And other
than that, rpmlint reports no problems.

The 0.7.0-2 files are:

SRPM:
http://labs.creativecommons.org/~paulproteus/liblicense/liblicense-0.7.0-2.src.rpm
Spec:
http://labs.creativecommons.org/~paulproteus/liblicense/liblicense-0.7.0-2.spec

Let me know what the next steps I need to take are.  As I understand it, I'm
waiting for another review; I was impressed with how speedy the first one was!
Comment 5 Jason Tibbitts 2008-06-06 22:25:07 EDT
Looks like this is Asheesh's first package and so he'll need a sponsor.  I'm not
sure if Dennis intended to do that.
Comment 6 Dennis Gilmore 2008-06-13 00:22:27 EDT
[dennis@bratac ~]$ rpmlint /var/lib/mock//fedora-9-x86_64/result/*rpm
liblicense.src:92: E: files-attr-not-set
liblicense.src:95: E: files-attr-not-set
liblicense.src:98: E: files-attr-not-set
liblicense.src:99: E: files-attr-not-set
liblicense.src:100: E: files-attr-not-set
liblicense.src:103: E: files-attr-not-set
liblicense.src:104: E: files-attr-not-set
liblicense.src:105: E: files-attr-not-set
liblicense.src:106: E: files-attr-not-set
liblicense.src:107: E: files-attr-not-set
liblicense-cli.x86_64: W: no-documentation
liblicense-cli.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/license
['/usr/lib64']
liblicense-devel.x86_64: W: no-documentation
liblicense-modules.x86_64: W: no-documentation
liblicense-python.x86_64: W: no-documentation
liblicense-python.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/python2.5/site-packages/liblicense/liblicense.so ['/usr/lib64']
7 packages and 0 specfiles checked; 12 errors, 4 warnings.


I had intended to sponsor Asheesh. 

it builds fine in mock but we have a few things to fix still
Comment 7 Dennis Gilmore 2008-06-16 15:15:09 EDT
one last issue with the spec file you posted in irc 
liblicense.src: E: invalid-spec-name liblicense-0.7.0-3.spec

please name the spec liblicense.spec

and post here.  things should then be ok 
Comment 8 Asheesh Laroia 2008-06-16 15:38:05 EDT
SRPM:
http://labs.creativecommons.org/~paulproteus/liblicense/0.7.0-3/liblicense-0.7.0-3.src.rpm


spec:
http://labs.creativecommons.org/~paulproteus/liblicense/0.7.0-3/liblicense.spec

The SRPM has the .spec embedded with the name, "liblicense.spec".
Comment 9 Dennis Gilmore 2008-06-16 16:42:12 EDT
Looks good,  now.  

builds cleanly.

Approved

please follow the cvs procedure https://fedoraproject.org/wiki/CVSAdminProcedure
 and apply for cvsextras in the accounts system and i will sponsor you.
Comment 10 Asheesh Laroia 2008-06-18 06:32:32 EDT
New Package CVS Request
=======================
Package Name: liblicense
Short Description: The liblicense package contains a library, bindings, CLI
utilities and license files for accessing license metadata in various file formats
Owners: asheesh,dgilmore
Branches: F-9
InitialCC: 
Cvsextras Commits: yes

When I try to set fedora-cvs to "?" I am told by Bugzilla:

"You tried to request fedora-cvs. Only an authorized user can make this change."
Comment 11 Jason Tibbitts 2008-06-20 17:40:18 EDT
I'm pretty sure dennis intended to set fedora-review to '+'.

"dgilmore" is not a valid FAS account; using "ausil".

CVS done.

Note You need to log in before you can comment on or make changes to this bug.